# Package name without php prefix
%define php_extension	imagick
%define orig_version	0.9.11
###############################################################

Name: php-%php_extension
Version: %orig_version
Release: alt1
Serial: 2
Group: System/Servers
Requires: libImageMagick >= 6.0.0
License: PHP Licence
PreReq: php-libs = 1:%php_version-%php_release
Summary: PHP4 wrapper on ImageMagick library
Source0: imagick-%orig_version.tgz
Source1: imagick.ini
Source2: php-imagick-params.sh

BuildRequires: XFree86-devel bzlib-devel freetype2-devel libImageMagick-devel
BuildRequires: libjpeg-devel liblcms-devel libtiff-devel zlib-devel php-devel = 1:%php_version-%php_release

%description
Provides a wrapper to the ImageMagick/GraphicsMagick library.

%prep
%setup -n imagick-%orig_version
%setup -T -c
%__mv -f ../imagick-%orig_version/* .

%build
phpize

BUILD_HAVE=`echo %package_name | tr '[:lower:]-' '[:upper:]_'`
CFLAGS="$RPM_OPT_FLAGS -fPIC -L%_libdir"
export CFLAGS

%set_verify_elf_method rpath=relaxed

%configure --with-imagick=/usr --disable-rpath

%php_make

%install
%php_make install
%__install -D -m 644 %SOURCE1 %buildroot/%php_extconf/%php_extension/config
%__install -D -m 644 %SOURCE2 %buildroot/%php_extconf/%php_extension/params

%clean
%__rm -rf ../imagick-%orig_version
%__rm -f ../package.xml

%files
%php_extconf/%php_extension
%php_extdir/*
%doc examples/ CREDITS

%post
%php_extension_postin

%preun
%php_extension_preun

%changelog
* Thu Aug 12 2004 Stanislav Yadykin <tosick@altlinux.ru> 2:0.9.11-alt1
- downgrade version number to original version

* Mon Aug 09 2004 Stanislav Yadykin <tosick@altlinux.ru> 1:4.3.9-alt0.cvs20040802
- rebuild with new imagick

* Fri Jun 18 2004 Stanislav Yadykin <tosick@altlinux.ru> 1:4.3.7-alt0.cvs20040531
- rebuild with new php version

* Wed May 26 2004 Stanislav Yadykin <tosick@altlinux.ru> 1:4.3.7-alt0.cvs20040519
- compiled with 0.9.9 and ImageMagick 6.0.1
